[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# SecondOfTheWeek

Calculate the number of seconds elapsed since the start of the week

## Declaration

Source position: dateutil.inc line 217

`function SecondOfTheWeek(`
`const AValue: TDateTime`
`):LongWord;`

## Arguments

`AValue` |  | Moment in the week

## Function result

Number of seconds elapsed since the start of the week

## Description

SecondOfTheWeek returns the number of seconds that have passed since the start of the week (00:00:00) till the moment indicated by AValue. This is a zero-based number, i.e. 00:00:00.999 on the first day of the week will return 0.

For an example, see the DayOfTheWeek function.

## See also

SecondOfTheYear |  | Calculate the number of seconds elapsed since the start of the year.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
SecondOfTheDay |  | Calculate the number of seconds elapsed since the start of the day
SecondOfTheHour |  | Calculate the number of seconds elapsed since the start of the hour
SecondOfTheMinute |  | Calculate the number of seconds elapsed since the start of the minute
DayOfTheWeek |  | Extracts the day of the week from a TDateTime value
HourOfTheWeek |  | Calculate the number of hours elapsed since the start of the week.
MinuteOfTheWeek |  | Calculate the number of minutes elapsed since the start of the week
MilliSecondOfTheWeek |  | Calculate the number of milliseconds elapsed since the start of the week